- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- BorderImage
- FrameImage
- RaiseImage

# NAME

decorate - ImageMagick Image Decoration Methods

# SYNOPSIS

Image * BorderImage( const Image *image, const RectangleInfo *border_info, ExceptionInfo *exception );

Image * FrameImage( Image *image, const FrameInfo *frame_info, ExceptionInfo *exception );

unsigned int RaiseImage( Image *image, const RectangleInfo *raise_info, const int raised );

# FUNCTION DESCRIPTIONS

## BorderImage

Method BorderImage takes an image and puts a border around it of a particular color. It allocates the memory necessary for the new Image structure and returns a pointer to the new image.

The format of the BorderImage method is:

> Image *BorderImage ( const Image *image, const RectangleInfo *border_info, ExceptionInfo *exception );

A description of each parameter follows:

border_image:
  Method BorderImage returns a pointer to the border image. A null image is returned if there is a memory shortage.

image:
  The address of a structure of type Image.

border_info:
  Specifies a pointer to a structure of type Rectangle which defines the border region.

exception:
  return any errors or warnings in this structure.

## FrameImage

Method FrameImage takes an image and puts a frame around it of a particular color. It allocates the memory necessary for the new Image structure and returns a pointer to the new image.

The format of the FrameImage method is:

> Image *FrameImage ( Image *image, const FrameInfo *frame_info, ExceptionInfo *exception );

A description of each parameter follows:

frame_image:
  Method FrameImage returns a pointer to the framed image. A null image is returned if there is a memory shortage.

image:
  The address of a structure of type Image.

frame_info:
  Specifies a pointer to a FrameInfo structure which defines the framed region.

exception:
  return any errors or warnings in this structure.

## RaiseImage

Method RaiseImage lightens and darkens the edges of an image to give a 3-D raised or lower effect.

The format of the RaiseImage method is:

> unsigned int RaiseImage ( Image *image, const RectangleInfo *raise_info, const int raised );

A description of each parameter follows:

image:
  The address of a structure of type Image.

raise_info:
  Specifies a pointer to a XRectangle which defines the raised region.

raised:
  A value other than zero causes the image to have a 3-D raised effect, otherwise it has a lowered effect.